#
#
# contributed by Jing Liu <fartersh-1@yahoo.com>
#
# brand:  Nintendo
# model:  WII remote control via bluetooth (wiimote)  
#
# supported devices: 
#	      wiimote
#
begin remote

    name    wiimote
    bits    16

    begin codes				

        2               0x0001	
        1               0x0002	
        B               0x0004	
        A               0x0008	
        -               0x0010	
        Home            0x0080	
        <           	0x0100	
        >        	0x0200	
        v            	0x0400	
        ^              	0x0800	
        +               0x1000  

# following codes are using B as meta key

	B+2		0x0005	
	B+1		0x0006	
	B+A		0x000C	
	B+-		0x0014	
	B+Home		0x0084	
	B+<		0x0104	
	B+>		0x0204	
	B+v		0x0404	
	B+^		0x0804	
	B++		0x1004 
	B+A+-		0x001C	
	B+A++		0x100C	
	B+A+1		0x000E	
	B+A+2		0x000D	
	B+A+Home	0x008C	

      end codes

end remote
